# *created  "Thu Nov 19 11:29:43 2015" *by "Paul E. Black"
# *modified "Thu Nov 19 12:11:14 2015" *by "Paul E. Black"

# extract sites of integer division or modulo for divide by zero checks

from ocse import site
from ocse import extractor

print("Parsing files and building AST trees. This may take a while...")
sites_extractor = extractor.Extractor("selected_Juliet_tests/", 'division_by_zero')

print("Extracting division sites...")
relevant_sites = sites_extractor.div_by_zero_sites()

print("generating xml file")
extractor.Extractor.to_xml(relevant_sites, "divide_sites.xml")

print("Generating report...")
buggy_sites = []
for my_site in relevant_sites:
 if(my_site.buggy == True):
   buggy_sites.append(my_site)

print "total divide sites: {0}".format(len(relevant_sites))
print "total divide by zero sites: {0}".format(len(buggy_sites))

# end of get_divide_sites.py
