# *created  "Fri Nov 20 15:45:01 2015" *by "Paul E. Black"
# *modified "Fri Nov 20 16:22:19 2015" *by "Paul E. Black"

# extract sites of return variable (really, anything other than a constant)

from ocse import site
from ocse import extractor

print("Parsing files and building AST trees. This may take a while...")
sites_extractor = extractor.Extractor("selected_Juliet_tests/", 'return')

print("Extracting return variable sites...")
relevant_sites = sites_extractor.return_sites()

print("generating xml file")
extractor.Extractor.to_xml(relevant_sites, "return_var_sites.xml")

print("Generating report...")
buggy_sites = []
for my_site in relevant_sites:
 if(my_site.buggy == True):
   buggy_sites.append(my_site)

print "total return non-constant sites: {0}".format(len(relevant_sites))
print "total return stack address sites: {0}".format(len(buggy_sites))

# end of get_return_var_sites.py
