"""Setup file for setuptools.
To run ocse test suite: python setup.py test
To install: python setup.py install
"""

from setuptools import setup
setup(name='ocse',
    version='0.11',
    description='Ockham Criteria Sites Extractor',
    author='Athos Ribeiro',
    author_email='athos.ribeiro@nist.gov',
    packages=['ocse', 'ocse.test', 'ocse.node_visitor'],
    test_suite='ocse.test',
    url='http://samate.nist.gov/SATE5OckhamCriteria.html',
    install_requires=['pycparser'],
    )

