# *modified "Fri Oct 16 12:53:34 2015" *by "Paul E. Black"
from ocse import site
from ocse import extractor

print("Parsing files and Building AST trees, this may take a while...")
sites_extractor = extractor.Extractor("selected_Juliet_tests/", 'null_ptr')

print("Extracting null ptr deref sites...")
pointer_deref_sites = sites_extractor.null_ptr_deref_sites()

print("generating xml files")
extractor.Extractor.to_xml(pointer_deref_sites, "pointer_deref_sites.xml")

print("Done.")
print("Generating report...")
null_ptr_deref_bugs = []
for my_site in pointer_deref_sites:
 if(my_site.buggy == True):
   null_ptr_deref_bugs.append(my_site)

print "total pointer deref sites: {0}".format(len(pointer_deref_sites))
print "total null ptr deref bugs: {0}".format(len(null_ptr_deref_bugs))

