from ocse import site
from ocse import extractor

print("Parsing files and Building AST trees, this may take a while...")
sites_extractor = extractor.Extractor("selected_Juliet_tests/", 'buffer_write')

print("Extracting buffer write sites...")
writeOutBuf_sites = sites_extractor.buffer_write_sites()

print("generating xml file")
extractor.Extractor.to_xml(writeOutBuf_sites, "write_buffer_sites.xml")

print("Done.")
print("Generating report...")
writeOutBuf_bugs = []
for my_site in writeOutBuf_sites:
 if(my_site.buggy == True):
   writeOutBuf_bugs.append(my_site)

print "total buffer write sites: {0}".format(len(writeOutBuf_sites))
print "total buffer write bugs: {0}".format(len(writeOutBuf_bugs))
