"""OCSE - Ockham Criteria Sites Extractor

This module helps extracting sites and bugs from Juliet 1.2 test cases,
found in the SARD (Software Assurance Reference Dataset) at
http://samate.nist.gov/SARD/
It uses pycparser to extract the sites from the C files in the testcases
and then parses the files again looking for known bugs in the test suite
using euristics based on #OMMITBAD and (FLAW|POTENTIAL FLAW) comments.
"""

__all__ = ["extractor", "site"]

